Subject: Re: corrupted repository?

From: "Shawn O. Pearce" <[email-masked]>
Date: Thu, 2 Oct 2008 07:29:52 -0700

Francois Pepin <[email-masked]> wrote:
> Everything seems to be working properly there (git fsck --full returns  
> normally with no output), but I cannot clone or pull from my other 
> machines:
...
> [francois@Iduna ~]$ git clone localhost:git git2
> Initialized empty Git repository in /Users/francois/git2/.git/
> remote: fatal: exec pack-objects failed.

Your git-upload-pack cannot find git-pack-objects.  It sounds like
Git was incorrectly installed on your system.

  which git-upload-pack ?
  which git ?
  are they in the same directory?
  did you possibly move git after installing it?

  git --exec-path?
  does that exist?
  does it have git-pack-objects inside it?

> I am running git 1.6.0.2 on the mac, and have only recently updated it  
> so that might have a role to play.

I think it is the upgrade.  It sounds like its not installed correcly
because the helpers in libexec/git-core cannot be found.

-- 
Shawn.